package com.dayou.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.common.RestResponse;
import com.dayou.service.IBusinessIncomeService;
import com.dayou.vo.UserCommissionProdVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 业务收入
 *
 * @author wucl
 * @since 2023-11-06
 */
@RestController
@RequestMapping("businessIncome")
@Slf4j
public class BusinessIncomeController extends BaseController {


    @Autowired
    private IBusinessIncomeService businessIncomeService;


    /**
     * 我的大中型业务收入列表
     * @param vo
     * @param page
     * @return
     */
    @GetMapping("/my/major")
    public RestResponse<Page<UserCommissionProdVO>> myMajorIncome(UserCommissionProdVO vo,Page page){
        Page<UserCommissionProdVO> ret = businessIncomeService.myMajorIncome(page,vo);
        return RestResponse.data(ret);
    }


}

