package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.FinanceRealFund;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.*;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 财务实收款 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
public interface FinanceRealFundMapper extends CustomBaseMapper<FinanceRealFund> {

    Page<FinanceRealFundVO> getPage(Page page, @Param("vo") FinanceRealFund vo,@Param("keyword") String keyword);

    BigDecimal getNotClaimAmount(@Param("realFundId") Long realFundId);

    Page<MajorProdOverdueVO> overdueMajor(Page page, @Param("overdueVO")MajorProdOverdueVO overdueVO);

    List<MajorProdOverdueVO> overdueMajorExport(@Param("overdueVO")MajorProdOverdueVO overdueVO);

    Page<SettleMajorProductionVO> majorEvaluatorSettleProd(Page page, @Param("settleVO") SettleMajorProductionVO settleVO);

    Page<SettleMajorProductionVO> majorMarketerSettleProd(Page page, @Param("settleVO") SettleMajorProductionVO settleVO);

    List<SettleMajorProductionVO> majorEvaluatorSettleExport(@Param("settleVO") SettleMajorProductionVO settleVO);

    List<SettleMajorProductionVO> majorMarketSettleExport(@Param("settleVO") SettleMajorProductionVO settleVO);

    List<UserCommissionTotalAmountVO> majorEvaluatorCommission(@Param("vo") UserCommissionTotalAmountVO vo);

    List<UserCommissionProdVO> majorEvaluatorCommissionDetail(@Param("vo") UserCommissionProdVO vo);

    List<UserCommissionTotalAmountVO> majorEvaluatorTotalAmountExport(@Param("vo")UserCommissionTotalAmountVO vo);

    List<UserCommissionProdVO> evaluatorUserDetailExport(@Param("vo")UserCommissionProdVO vo);

    List<UserCommissionTotalAmountVO> majorMarketCommission(@Param("vo") UserCommissionTotalAmountVO vo);

    List<UserCommissionProdVO> majorMarketCommissionDetail(@Param("vo")UserCommissionProdVO vo);

    List<UserCommissionTotalAmountVO> majorMarketTotalAmountExport(@Param("vo")UserCommissionTotalAmountVO vo);

    List<UserCommissionProdVO> marketUserDetailExport(@Param("vo")UserCommissionProdVO vo);

}
